attribute highp vec4    inVertex;
attribute highp vec3    inNormal;
attribute mediump vec4	inTexCoord;
uniform highp mat4	mWorldMatrix;
uniform highp mat4	mViewProjMatrix;
varying mediump vec4    DiffuseLight;
varying mediump vec4	outTexCoord;
void main(void)
{
   vec3 Direction = normalize(vec3(-1,1,-1));
   mat3 normalMatrix = mat3(mWorldMatrix [0][0], mWorldMatrix [0][1], mWorldMatrix [0][2],
                                  mWorldMatrix [1][0], mWorldMatrix [1][1], mWorldMatrix [1][2],
                                  mWorldMatrix [2][0], mWorldMatrix [2][1], mWorldMatrix [2][2]);

   mediump vec3 vNormal = normalMatrix * inNormal;
   gl_Position = mViewProjMatrix * mWorldMatrix * inVertex;

   vec3 Diffuse = vec3(max(dot(vNormal, Direction), 0.0));
   DiffuseLight = vec4(Diffuse, 1.0) + vec4(0.7, 0.7, 0.7, 1.0);

   outTexCoord  = inTexCoord;
}